#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module

%define		module	serial
Summary:	Serial port interface module
Summary(pl.UTF-8):	Moduł interfejsu do portu szeregowego
Name:		python-serial
Version:	3.4
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://github.com/pyserial/pyserial/releases
Source0:	https://github.com/pyserial/pyserial/archive/v%{version}/pyserial-%{version}.tar.gz
# Source0-md5:	fc00727ed9cf3a31b7a296a4d42f6afc
URL:		https://pypi.org/project/pyserial/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%description -l pl.UTF-8
Ten moduł opakowuje dostęp do portu szeregowego. Dostarcza backendy
dla Pythona działającego na Windows, Linuksie, BSD (być może dowolnym
systemie zgodnym z POSIX) oraz Jythona. Moduł o nazwie "serial"
automatycznie wybiera właściwy backend.

%package -n python3-%{module}
Summary:	Serial port interface module
Summary(pl.UTF-8):	Moduł interfejsu do portu szeregowego
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%description -n python3-%{module} -l pl.UTF-8
Ten moduł opakowuje dostęp do portu szeregowego. Dostarcza backendy
dla Pythona działającego na Windows, Linuksie, BSD (być może dowolnym
systemie zgodnym z POSIX) oraz Jythona. Moduł o nazwie "serial"
automatycznie wybiera właściwy backend.

%package -n miniterm
Summary:	Very simple serial terminal
Summary(pl.UTF-8):	Bardzo prosty terminal szeregowy
Group:		Applications/Communications
Requires:	python%{?with_python3:3}-%{module} = %{version}-%{release}

%description -n miniterm
Very simple serial terminal written in Python.

%description -n miniterm -l pl.UTF-8
Bardzo prosty terminal szeregowy napisany w Pythonie.

%prep
%setup  -q -n pyserial-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}/*.py

# remove .NET (IronPython), Jython, Win32 specific code
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/serial/{serialcli,serialjava,serialwin32,win32}.py*
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/serial/tools/list_ports_{osx,windows}.py*

%py_postclean
%endif

%if %{with python3}
# prefer python3 version
%{__rm} $RPM_BUILD_ROOT%{_bindir}/miniterm.py

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%{__sed} -i -e '1s,/usr/bin/env python,%{__python3},' $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}/*.py

# remove .NET (IronPython), Jython, Win32 specific code
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/serial/{serialcli,serialjava,serialwin32,win32}.py
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/serial/tools/list_ports_{osx,windows}.py
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/serial/__pycache__/{serialcli,serialjava,serialwin32,win32}.*.py*
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/serial/tools/__pycache__/list_ports_{osx,windows}.*.py*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py_sitescriptdir}/serial
%{py_sitescriptdir}/pyserial-%{version}-py*.egg-info
%{_examplesdir}/python-%{module}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/serial
%{py3_sitescriptdir}/pyserial-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif

%files -n miniterm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/miniterm.py
%changelog
* Sun Mar 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-serial.git;a=log;h=master

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 7a26969
- updated to 3.4
- license is BSD

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3e69c46
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 66e4664
- release 2 (by relup.sh)

* Wed May 17 2017 Jan Rękorajski <baggins@pld-linux.org> aff22fe
- up to 3.3

* Sun Jan 01 2017 Jan Rękorajski <baggins@pld-linux.org> a9fb296
- prefer python3 miniterm
- rel 3

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> fb9f345
- python 3.6
- release 2 (by relup.sh)

* Sat Nov 12 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> bc7640b
- up to 3.2.1

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 376a9b1
- use rpm python macros
- rel 6

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 0971cf1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 36da329
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> be14523
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 74eee22
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 05dae7e
- python 3.4
- release 3 (by relup.sh)

* Sun Feb 02 2014 Elan Ruusamäe <glen@delfi.ee> d0f6a6f
- simplify, unify

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d44bac7
- rel 2; package miniterm

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7080d45
- up to 2.7

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4441d88
- release 3 (by relup.sh)

* Thu Feb 23 2012 Łukasz Kieś <kiesiu@pld-linux.org> 01b42c1
- fixed python version requirements for python2 modules
- added bconds for both python2 and python3 modules
- rel. 2

* Thu Jan 26 2012 wrobell <wrobell@pld-linux.org> 0fc3a8e
- ver. 2.6
- user pypi download uri

* Wed Jun 01 2011 wrobell <wrobell@pld-linux.org> e7b81b1
- fixed installation of the python 2.x and 3.x packages

